@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');

*{
    margin: 0px;
}

body{
    font-family: 'Open Sans', sans-serif;
}

body{
    margin: 0;
}

html{
    scroll-behavior: smooth;
}

.royal_img{
    width: 100%;
    text-align: center;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
    position: sticky;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    background-color: whitesmoke; 
}
.royal_img>img{
    filter: invert(1);
    margin: 20px 0;
}


.container{
    width: 85%;
    margin: auto;
    display: grid;
    grid-template-columns: 2fr 1fr;
    margin-top: 20px;
    /* border: 1px solid red; */
}

/* .container > div{
    border: 1px solid blue;
} */
/* .email{
    width: 65%;
    margin: 20px 20px;
    padding: 20px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 5px 0px, rgba(0, 0, 0, 0.1) 0px 0px 1px 0px;
}
.email >input{
    width: 97%;
    height: 35px;
}
.email>p>a{
    color: red;
} */
/* SHIPPING ADDRESS */


.checkout{
    width: 95%;
    margin: auto;
    display: flex;
    flex-direction: column;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.sections{
    width: 90%;
    margin: auto;
    /* border: 2px solid blue; */
}
.bannerHeader{
    width: 95%;
    margin: auto;
    margin-top: 20px;
    background-color: #ef0531;
    color: white;
    text-align: center;
    box-sizing: border-box;
    padding: 10px
}
.address{
    width: 95%;
    margin: auto;
    padding: 20px;
}
.address>input{
    height: 35px;
    width: 97.5%;
    margin-top: 15px;
    font-size: 16px;
    padding-left: 10px;
}
.name{
    width: 100%;
    margin: auto;
    display: flex;
    justify-content: space-between;
}
.name>input{
    display: inline-block;
    width: 45%;
    height: 35px;
    margin-top: 10px;
    font-size: 16px;
    padding-left: 10px;
}

.area{
    width: 100%;
    margin: auto;
    display: flex;
    justify-content: space-between;
}

.area > input{
    width: 30%;
    display: inline-block;
    height: 35px;
    margin-top: 10px;
    font-size: 16px;
    padding-left: 10px;
}

.area > select{
    width: 30%;
    display: inline-block;
    height: 41px;
    margin-top: 10px;
    font-size: 16px;
    padding-left: 10px;
}



#addnext{
    width: 15%;
    background-color: #000;
    color: white;
    cursor: pointer;
}


/* SHIPPING METHOD */
.method{
    width: 92%;
    padding: 20px;
    margin: 0;
}
.method p{
    font-size: 18px;
    font-weight: bold;
}
/* .prepaid{
    display: flex;
}
.cod{
    display: flex;
    justify-content: space-between;
} */
/* card type */
.payment{
    width: 95%;
    margin: auto;
    display: flex;
    height: 450px;
    box-sizing: border-box;
    padding: 10px;
    /* border: 2px solid red; */
}
.payment_option{
    width: 100%;
    display: flex;
}
.card-option{
    width: 40%;
}
.card{
    border-top: 0px;
    border-bottom: #ccc solid 0.5px;
    background: #fafafa;
    color: #333;
    height: 55px;
    border-left: #ccc solid 1px;
    border-right: 0px;
    text-align: left;
    display: block;
    padding: 15px 16px 15px 17px;
    width: 100%;
    font-weight: 600;
}
.card:active{
    background-color: lightgrey;
}

/* card information */
#payment-info{
    width: 90%;
    padding: 0 25px 0 25px;
}    

.card-input > input{
    margin: 10px 0;
    width: 95%;
    height: 28px;
    padding: 10px 5px 0 5px;
}
#cvv{
    width: 95%;  
}
.card-input > div {
    width: 100%;
    display: flex;
    margin-bottom: 10px;
}

.card-input > div > select{
    width: 50%;
    height: 45px;
    margin: 10px 10px 0 0;
    padding: 10px 5px 0 5px;
}

#paymentBtn{
    width: 98%;
    height: 45px;
    background: #000;
    color: white;
    font-size: 16px;
    cursor: pointer;
    border: 1px solid #000;
}

.card-input > input{
    font-size: 16px;
    padding: 5px;
    padding-left: 10px;
}

.card-input select{
    font-size: 16px;
    padding: 5px;
    padding-left: 10px;
}
/* bill details */
.item-deatil{
    width: 90%;
    margin-left: 0px;
    padding: 20px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 5px 0px, rgba(0, 0, 0, 0.1) 0px 0px 1px 0px;
    border-radius: 5px;
}

.card_input label{
    font-weight: bold;
}

input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
  -webkit-appearance: none; 
  margin: 0; 
}


/* DISPLAY TOTAL AREA STYLE */

#totalArea{
    /* width: 30%; */
    height: 400px;
    box-sizing: border-box;
}

#totalDisplayArea{
    width: 95%;
    margin: auto;
    height: 200px;
}

#totalDisplayArea > div{
    width: 100%;
    margin-top: 10px;
    box-sizing: border-box;
    padding: 5px;
    /* border: 1px solid blue; */
}

#summary{
    background-color: #b8b8b8;
    display: flex;
    align-items: center;
    font-weight: bold;
    height: 40px;
}

.totalText{
    display: flex;
    justify-content: space-between;
    border-bottom: 0.5px solid grey;
}

#finalTotal{
    font-size: 18px;
    font-weight: bold;
}



/* MEDIA QUERIES */




@media all and (max-width: 800px){
    .container{
        grid-template-columns: 1fr;
        grid-gap: 30px;
    }

    .method{
        width: 100%;
    }

    .method p{
        font-size: 14px;
    }

}




